% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muñoz

% Indexación de un caso
% Cada caso se separa en clases disjuntas en función del valor que tomen
% cada uno de los 4 atributos que caracterizan una imagen:
% Soleado (Si o No)
% Estado de Crecimiento de Cultivo (1 Alto, 2 Medio, 3 Bajo)
% Error de Sembrado (Si o No)
% Plagado (Si o No)
function [soleado,estadoCrec,errorSembrado,plagado] = indexa(im)

soleado = fsoleado(im);
plagado = fplagado(im);
if(plagado)
    estadoCrec = 1;
else estadoCrec = festadoCrec(im);
end;
errorSembrado = ferrorSembrado(im,estadoCrec);



